Fix URL validation bug
Closed, ResolvedPublic

Description

Cyberbot has been doing an excellent job validating URLs and filtering out potential garbage users leave behind. This worked well so far until it encounter unicode URLs and only filtered out the http://www. and worked with that. Needless to say, this is a high priority fix.

The validation filter needs to be able to filter out garbage while allowing pre-encoded unicode characters.

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 7 2016, 5:53 AM

http://www.чойский-район.рф/index.php/2012-03-20-08-25-10 and http://www.чойский-район.рф failed.

Possible new regex in the works. Beginning some tests.

Cyberpower678 closed this task as Resolved.Jul 7 2016, 8:05 PM

I think I've got a decent filter going. I've committed the change.

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Jul 8 2016, 10:55 PM